Bug 1719810

Summary: rpmlint: E: library-not-linked-against-libc (libHS*.so files not directly linked to libc.so)
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: ghcAssignee: Jens Petersen <petersen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: petersen
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-24 20:10:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jens Petersen 2019-06-12 15:19:00 UTC
Description of problem:
See comments in bug 1711896 for details.

rpmlint warns that libraries are not getting linked to libc.so.

Also there are many undefined-non-weak-symbol warnings
(not sure if this is related to above).


Version-Release number of selected component (if applicable):
ghc-8.4.4

Additional info:
Need to check if this is specfic to the Fedora builds/configuration.

Comment 1 Ben Cotton 2019-08-13 17:06:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:11:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Jens Petersen 2019-09-06 08:56:13 UTC
I reported this upstream now as an RFE now.

https://gitlab.haskell.org/ghc/ghc/issues/17157

Basically problem is ghc does not link libHSrts at build time, since the exact rts is chosen at runtime.
It seems like using weak symbols might solve this but that requires upstream work.

Comment 4 Jens Petersen 2019-09-06 10:01:58 UTC
https://gitlab.haskell.org/ghc/ghc/issues/17157 is about the undefined RTS symbols rpmlint warnings.

I am not sure yet if library-not-linked-against-libc is a real problem or not.

Comment 5 Jens Petersen 2019-09-06 10:49:48 UTC
I reported bug 1749738 against rpmlint to query if library-not-linked-against-libc is really an error.

Comment 6 Ben Cotton 2020-11-03 15:17:53 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 20:10:53 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.